Hooks:PostHook(WeaponFactoryTweakData, "init", "IronSightsPackModInit", function(self)
	local snp_irons_rear_ids = {"wpn_fps_upg_o_snp_cheap_rear","wpn_fps_upg_o_snp_dd_a1_rear","wpn_fps_upg_o_snp_dh_iss_rear","wpn_fps_upg_o_snp_kac_rear","wpn_fps_upg_o_snp_m4flipup_rear","wpn_fps_upg_o_snp_mbus_rear","wpn_fps_upg_o_snp_mbuspro_rear","wpn_fps_upg_o_snp_scalarworks_peak_rear","wpn_fps_upg_o_snp_scorpionevo_rear","wpn_fps_upg_o_snp_troy_rear","wpn_fps_upg_o_snp_troym4_rear"}
	local var_irons_front_ids = {"wpn_fps_upg_o_var_cheap_front","wpn_fps_upg_o_var_dd_a1_front","wpn_fps_upg_o_var_dh_iss_front","wpn_fps_upg_o_var_kac_front","wpn_fps_upg_o_var_m4flipup_front","wpn_fps_upg_o_var_mbus_front","wpn_fps_upg_o_var_mbuspro_front","wpn_fps_upg_o_var_scalarworks_peak_front","wpn_fps_upg_o_var_scorpionevo_front","wpn_fps_upg_o_var_troy_front","wpn_fps_upg_o_var_troym4_front"}
	local var_irons_rear_ids = {"wpn_fps_upg_o_var_cheap_rear","wpn_fps_upg_o_var_dd_a1_rear","wpn_fps_upg_o_var_dh_iss_rear","wpn_fps_upg_o_var_kac_rear","wpn_fps_upg_o_var_m4flipup_rear","wpn_fps_upg_o_var_mbus_rear","wpn_fps_upg_o_var_mbuspro_rear","wpn_fps_upg_o_var_scalarworks_peak_rear","wpn_fps_upg_o_var_scorpionevo_rear","wpn_fps_upg_o_var_troy_rear","wpn_fps_upg_o_var_troym4_rear"}
	local rear_sight_ids = {}
	table.add_merge(rear_sight_ids, snp_irons_rear_ids)
	table.add_merge(rear_sight_ids, var_irons_rear_ids)
	for _, sight_id in pairs(rear_sight_ids) do
		offset = nil
		if self.parts[sight_id] and self.parts[sight_id].stance_mod and self.parts.wpn_fps_upg_o_var_troym4_rear.stance_mod then
			self.parts[sight_id].stance_mod = deep_clone(self.parts.wpn_fps_upg_o_var_troym4_rear.stance_mod)
		end
		if sight_id == "wpn_fps_upg_o_snp_cheap_rear" or sight_id == "wpn_fps_upg_o_var_cheap_rear" then
			offset = Vector3(0, 0, 0.075)
		elseif sight_id == "wpn_fps_upg_o_snp_dh_iss_rear" or sight_id == "wpn_fps_upg_o_var_dh_iss_rear" then
			offset = Vector3(0, 0, 0.17)
		elseif sight_id == "wpn_fps_upg_o_snp_kac_rear" or sight_id == "wpn_fps_upg_o_var_kac_rear" then
			offset = Vector3(0, 0, -0.51)
		elseif sight_id == "wpn_fps_upg_o_snp_mbuspro_rear" or sight_id == "wpn_fps_upg_o_var_mbuspro_rear" then
			offset = Vector3(0, 0, -0.22)
		elseif sight_id == "wpn_fps_upg_o_snp_scalarworks_peak_rear" or sight_id == "wpn_fps_upg_o_var_scalarworks_peak_rear" then
			offset = Vector3(0, 0, 0.015)
		elseif sight_id == "wpn_fps_upg_o_snp_scorpionevo_rear" or sight_id == "wpn_fps_upg_o_var_scorpionevo_rear" then
			offset = Vector3(0, 0, 2.03)
		end
		if self.parts[sight_id] and self.parts[sight_id].stance_mod and offset then
			for _, wpn_id in pairs(self.parts[sight_id].stance_mod) do
				if wpn_id.translation then
					wpn_id.translation = (wpn_id.translation + offset)
				end
			end
		end
	end
	local part_ovr_ids = {"wpn_fps_upg_ass_m4_fg_moe","wpn_fps_sho_basset_fg_short","wpn_fps_smg_shepheard_body_short","wpn_fps_ass_fal_fg_01","wpn_fps_snp_msr_body_msr","wpn_fps_snp_desertfox_b_long","wpn_fps_smg_mac10_body_ris"}
	local wpn_adds_ids = {"wpn_fps_snp_winchester"}
	local wpn_ovr_ids = {"wpn_fps_sho_striker","wpn_fps_sho_ksg","wpn_fps_ass_m16","wpn_fps_ass_amcar","wpn_fps_smg_olympic","wpn_fps_smg_mp7","wpn_fps_ass_s552","wpn_fps_shot_saiga","wpn_fps_ass_m4"}
	for _, wpn_id in pairs(wpn_adds_ids) do
		if not self[wpn_id].adds then
			self[wpn_id].adds = {}
		end
	end
	for _, wpn_id in pairs(wpn_ovr_ids) do
		if not self[wpn_id].override then
			self[wpn_id].override = {}
		end
	end
	for _, part_id in pairs(part_ovr_ids) do
		if not self.parts[part_id].override then
			self.parts[part_id].override = {}
		end
	end
	for _, sight_id in pairs(snp_irons_rear_ids) do
		self.wpn_fps_snp_model70.adds[sight_id] = {"wpn_fps_snp_model70_o_rail"}
		self.wpn_fps_snp_mosin.adds[sight_id] = {"wpn_fps_snp_mosin_rail"}
		self.wpn_fps_snp_r700.adds[sight_id] = {"wpn_fps_snp_r700_o_rail"}
	end
	for _, sight_id in pairs(var_irons_front_ids) do
		self.wpn_fps_sho_striker.override[sight_id] = {a_obj = "a_o_f"}
		self.wpn_fps_sho_ksg.override[sight_id] = {a_obj = "a_o_f"}
		self.wpn_fps_smg_mac10.override[sight_id] = {a_obj = "a_of_2"}
		self.wpn_fps_ass_s552.override[sight_id] = {a_obj = "a_o_f"}
		self.parts.wpn_fps_upg_ass_m4_fg_moe.override[sight_id] = {a_obj = "a_of_moe"}
		self.parts.wpn_fps_sho_basset_fg_short.override[sight_id] = {a_obj = "a_of_short"}
		self.parts.wpn_fps_smg_shepheard_body_short.override[sight_id] = {a_obj = "a_of_short"}
		self.parts.wpn_fps_ass_fal_fg_01.override[sight_id] = {a_obj = "a_of_long"}
		self.parts.wpn_fps_snp_msr_body_msr.override[sight_id] = {a_obj = "a_of_long"}
		self.parts.wpn_fps_snp_desertfox_b_long.override[sight_id] = {a_obj = "a_of_long"}
		self.parts.wpn_fps_m4_upg_fg_mk12.override[sight_id] = {a_obj = "a_of2"}
		self.parts.wpn_fps_aug_fg_a3.override[sight_id] = {a_obj = "a_of_a3"}
	end
	for _, sight_id in pairs(var_irons_rear_ids) do
		self.wpn_fps_sho_striker.override[sight_id] = {a_obj = "a_o_r"}
		self.wpn_fps_sho_ksg.override[sight_id] = {a_obj = "a_o_r", stats = {value = 1, concealment = 2}}
		self.wpn_fps_smg_mp5.adds[sight_id] = {"wpn_fps_smg_mp5_body_rail"}
		self.wpn_fps_snp_winchester.adds[sight_id] = {"wpn_fps_snp_winchester_sight_rail"}
		self.wpn_fps_snp_siltstone.adds[sight_id] = {"wpn_fps_snp_siltstone_o_scopemount"}
		self.wpn_fps_ass_ak5.adds[sight_id] = {"wpn_fps_ass_ak5_body_rail"}
		self.wpn_fps_smg_mp7.override[sight_id] = {override = {wpn_fps_smg_mp7_body_standard = {unit = "units/mods/weapons/wpn_fps_smg_mp7_pts/wpn_fps_smg_mp7_body_alt"}}}
		self.wpn_fps_ass_famas.adds[sight_id] = {"wpn_fps_ass_famas_o_adapter_long"}
		self.wpn_fps_gre_slap.adds[sight_id] = {"wpn_fps_gre_slap_o_adapter"}
		self.wpn_fps_smg_mac10.adds[sight_id] = {"wpn_fps_smg_mac10_body_ris_special"}
		self.wpn_fps_smg_mac10.override[sight_id] = {a_obj = "a_or_2", forbids = {"wpn_upg_o_marksmansight_rear_vanilla"}}
		self.wpn_fps_ass_s552.override[sight_id] = {a_obj = "a_o_r"}
		self.wpn_fps_shot_saiga.override[sight_id] = {forbids = table.list_add(self.parts[sight_id].forbids, {"wpn_fps_upg_o_ak_scopemount"})}
		if sight_id == "wpn_fps_upg_o_var_scalarworks_peak_rear" then
			self.wpn_fps_ass_m16.override[sight_id] = {a_obj = "a_or_peak", adds = {"wpn_fps_ass_m16_os_frontsight"}}
			self.wpn_fps_ass_amcar.override[sight_id] = {a_obj = "a_or_peak", adds = {"wpn_fps_ass_m16_os_frontsight","wpn_fps_m4_upper_reciever_round_vanilla","wpn_fps_m4_uupg_draghandle_vanilla","wpn_fps_m4_uupg_fg_rail_ext"}}
			self.wpn_fps_smg_olympic.override[sight_id] = {a_obj = "a_or_peak", adds = {"wpn_fps_ass_m16_os_frontsight"}}
			self.wpn_fps_ass_m4.override[sight_id] = {a_obj = "a_or_peak"}
			self.parts.wpn_fps_m4_upg_fg_mk12.override[sight_id] = {a_obj = "a_or2_peak"}
		else
			self.wpn_fps_ass_m16.override[sight_id] = {adds = {"wpn_fps_ass_m16_os_frontsight"}}
			self.wpn_fps_ass_amcar.override[sight_id] = {adds = {"wpn_fps_ass_m16_os_frontsight","wpn_fps_m4_upper_reciever_round_vanilla","wpn_fps_m4_uupg_draghandle_vanilla","wpn_fps_m4_uupg_fg_rail_ext"}}
			self.wpn_fps_smg_olympic.override[sight_id] = {adds = {"wpn_fps_ass_m16_os_frontsight"}}
			self.parts.wpn_fps_m4_upg_fg_mk12.override[sight_id] = {a_obj = "a_or2"}
		end
		self.parts.wpn_fps_smg_mac10_body_ris.override[sight_id] = {a_obj = "a_or_2ris"}
	end
	self.wpn_fps_snp_victor.override.wpn_fps_upg_o_snp_scalarworks_peak_rear = {a_obj = "a_or_peak"}
end)